# Gets timeframes of asset metric constituents
curl --compressed "https://api.coinmetrics.io/v4/constituent-timeframes/asset-metrics?metric=volume_trusted_spot_usd_1d&api_key=<your_key>"
{
"data": [
{
"exchange": "gemini",
"start_time": "2023-10-12T00:00:00.000000000Z",
"end_time": null
},
{
"exchange": "kraken",
"start_time": "2023-10-12T00:00:00.000000000Z",
"end_time": null
},
{
"exchange": "binance",
"start_time": "2023-04-01T00:00:00.000000000Z",
"end_time": "2023-10-12T00:00:00.000000000Z"
},
{
"exchange": "binance.us",
"start_time": "2023-04-01T00:00:00.000000000Z",
"end_time": "2023-10-12T00:00:00.000000000Z"
},
{
"exchange": "bitstamp",
"start_time": "2023-04-01T00:00:00.000000000Z",
"end_time": "2023-10-12T00:00:00.000000000Z"
}
],
"next_page_token": "0.MjAxNy0wNS0yMlQwMDowMDowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/constituent-timeframes/asset-metrics?metric=volume_trusted_spot_usd_1d&pretty=true&page_size=5&api_key=<your_key>"
}
Constituent Timeframes
Timeframes of asset metric constituents
Returns timeframes of asset metric constituents.
Results are sorted by tuple (start_time, constituent_name), where constituent depends on a target metric.
E.g., the volume_trusted_spot_usd_1d metric constituents are exchanges,
i.e. the output will be sorted by (start_time, exchange).
GET
/
constituent-timeframes
/
asset-metrics
# Gets timeframes of asset metric constituents
curl --compressed "https://api.coinmetrics.io/v4/constituent-timeframes/asset-metrics?metric=volume_trusted_spot_usd_1d&api_key=<your_key>"
{
"data": [
{
"exchange": "gemini",
"start_time": "2023-10-12T00:00:00.000000000Z",
"end_time": null
},
{
"exchange": "kraken",
"start_time": "2023-10-12T00:00:00.000000000Z",
"end_time": null
},
{
"exchange": "binance",
"start_time": "2023-04-01T00:00:00.000000000Z",
"end_time": "2023-10-12T00:00:00.000000000Z"
},
{
"exchange": "binance.us",
"start_time": "2023-04-01T00:00:00.000000000Z",
"end_time": "2023-10-12T00:00:00.000000000Z"
},
{
"exchange": "bitstamp",
"start_time": "2023-04-01T00:00:00.000000000Z",
"end_time": "2023-10-12T00:00:00.000000000Z"
}
],
"next_page_token": "0.MjAxNy0wNS0yMlQwMDowMDowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/constituent-timeframes/asset-metrics?metric=volume_trusted_spot_usd_1d&pretty=true&page_size=5&api_key=<your_key>"
}

